net.sf.jasperreports.engine.analytics.data

## Class StandardMeasureValue

- java.lang.Object
- - net.sf.jasperreports.engine.analytics.data.StandardMeasureValue

- All Implemented Interfaces:
    MeasureValue

      public class StandardMeasureValue
      extends java.lang.Object
      implements MeasureValue

  Version:
    $Id: StandardMeasureValue.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardMeasureValue()`
    `StandardMeasureValue(Measure measure, java.lang.Object value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Measure` | `getMeasure()`
    `java.lang.Object` | `getValue()`
    `boolean` | `hasValue()`
    `void` | `setMeasure(Measure measure)`
    `void` | `setValue(java.lang.Object value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardMeasureValue

          public StandardMeasureValue()

    - #### StandardMeasureValue

          public StandardMeasureValue(Measure measure,
                              java.lang.Object value)

  - ### Method Detail

    - #### getMeasure

          public Measure getMeasure()

      Specified by:
        `getMeasure` in interface `MeasureValue`

    - #### setMeasure

          public void setMeasure(Measure measure)

    - #### hasValue

          public boolean hasValue()

      Specified by:
        `hasValue` in interface `MeasureValue`

    - #### getValue

          public java.lang.Object getValue()

      Specified by:
        `getValue` in interface `MeasureValue`

    - #### setValue

          public void setValue(java.lang.Object value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com